Name:          libSDL_ttf
Version:       2.0.11
Release:       2mamba
Summary:       Simple DirectMedia Layer - Sample TrueType Font Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.libsdl.org/projects/SDL_ttf/
Source:        http://www.libsdl.org/projects/SDL_ttf/release/SDL_ttf-%{version}.tar.gz
Patch0:        libSDL_ttf-2.0.11-bug1433.patch
Patch1:        libSDL_ttf-2.0.11-freetype-pkgconfig.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
#ld-linux.so.3(GLIBC_2.4): .so link not found
#ld-linux.so.3: .so link not found
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libdirectfb-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libts-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
This library allows you to use TrueType fonts to render text in SDL applications.

%package devel
Summary:       Libraries, includes and more to develop SDL applications
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This library allows you to use TrueType fonts to render text in SDL applications.
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n SDL_ttf-%{version}
%patch0 -p0 -b .bug1433
%patch1 -p1 -b .freetype-pkgconfig

touch AUTHORS ChangeLog NEWS
autoreconf -f -i
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libSDL_ttf-*.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libSDL_ttf.a
%{_libdir}/libSDL_ttf.la
%{_libdir}/libSDL_ttf.so
%{_includedir}/SDL/*.h
%{_libdir}/pkgconfig/SDL_ttf.pc
%doc CHANGES README

%changelog
* Tue Feb 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.11-2mamba
- rebuilt with debug package and patches

* Mon Jan 23 2012 Automatic Build System <autodist@mambasoft.it> 2.0.11-1mamba
- automatic version update by autodist

* Sun Aug 22 2010 Automatic Build System <autodist@mambasoft.it> 2.0.10-2mamba
- automatic rebuild by autodist

* Tue Jul 27 2010 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic update by autodist

* Wed Jul 09 2008 gil <puntogil@libero.it> 2.0.9-1mamba
- update to 2.0.9

* Wed Oct 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.8-1qilnx
- update to version 2.0.8 by autospec

* Mon Nov 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-3qilnx
- fixed a RPM changelog error

* Thu Nov 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.6-2qilnx
- rebuild and moved to devel official QiLinux repository

* Tue Sep 07 2004 Matteo Bernasconi <matteo.bernasconi@qilinux.it> 2.0.6-1qilnx
- first build

